Bug 834767 - SELinux is preventing plugin-containe from 'execmod' accesses on the file /home/Fuelmat/.mozilla/plugins/moonlight/silverlight-media-pack-linux-x86-21-1.so.
SELinux is preventing plugin-containe from 'execmod' accesses on the file /ho...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:cd5708e7cbb8eef11b3d8298205...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-23 08:11 EDT by matteo_tarantino
Modified: 2012-06-26 09:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 05:02:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description matteo_tarantino 2012-06-23 08:11:59 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.3-1.fc17.i686
time:           Sat 23 Jun 2012 02:11:16 PM CEST

description:
:SELinux is preventing plugin-containe from 'execmod' accesses on the file /home/Fuelmat/.mozilla/plugins/moonlight/silverlight-media-pack-linux-x86-21-1.so.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that plugin-containe should be allowed execmod access on the silverlight-media-pack-linux-x86-21-1.so file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:object_r:mozilla_home_t:s0
:Target Objects                /home/Fuelmat/.mozilla/plugins/moonlight
:                              /silverlight-media-pack-linux-x86-21-1.so [ file ]
:Source                        plugin-containe
:Source Path                   plugin-containe
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-132.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.3-1.fc17.i686 #1 SMP Mon
:                              Jun 18 20:52:37 UTC 2012 i686 i686
:Alert Count                   3
:First Seen                    Sat 23 Jun 2012 02:01:59 PM CEST
:Last Seen                     Sat 23 Jun 2012 02:06:18 PM CEST
:Local ID                      6451df14-c768-4c21-a8f9-d47a86c37df5
:
:Raw Audit Messages
:type=AVC msg=audit(1340453178.974:115): avc:  denied  { execmod } for  pid=2385 comm="plugin-containe" path="/home/Fuelmat/.mozilla/plugins/moonlight/silverlight-media-pack-linux-x86-21-1.so" dev="dm-2" ino=1566 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:mozilla_home_t:s0 tclass=file
:
:
:Hash: plugin-containe,mozilla_plugin_t,mozilla_home_t,file,execmod
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-06-25 05:02:46 EDT
You will need to add a local policy using 

# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp
Comment 2 Daniel Walsh 2012-06-25 12:35:00 EDT
Miroslav, I think if we are running with allow_execmod then we should allow this.
Comment 3 Miroslav Grepl 2012-06-26 09:02:34 EDT
Added also to F17.

Note You need to log in before you can comment on or make changes to this bug.